<template>
  <!-- 删除客户资料-->
  <a-modal class="commonModal recover-custom"
           title="删除客户资料"
           v-model:visible="visible"
           @cancel="cancel"
           centered
           width="890px">
    <template #footer>
      <a-button key="submit"
                type="primary"
                :loading="loading"
                @click="submit">删除客户资料
      </a-button>
    </template>
    <Detail :selectedRow="selectedRow" />
  </a-modal>
</template>

<script lang="ts">
import { defineComponent, PropType, ref } from 'vue';
import { closeModal } from '@/common/setup/modal/index';
import { DeleteUserReq, QueryCustomInfoType } from '@/services/go/ermcp/customInfo/interface';
import { Modal } from 'ant-design-vue';
import { requestResultLoadingAndInfo } from '@/common/methods/request/resultInfo';
import { QueryDeleteUserInfoApply } from '@/services/go/ermcp/customInfo';
import Detail from '../common-detail/index.vue';
import { QhjCustomer } from '@/services/go/ermcp/qhj/interface';

export default defineComponent({
    name: 'recover-custom',
    components: { Detail },
    props: {
        selectedRow: {
            type: Object as PropType<QhjCustomer>,
            default: {},
        },
    },
    setup(props, context) {
        const { visible, cancel } = closeModal('platinum_customer_info_stop_delete');
        const loading = ref<boolean>(false);
        console.log('是否确认删除客户资料');
        function submit() {
            Modal.confirm({
                title: '是否确认删除客户资料',
                okText: '确认删除',
                cancelText: '取消',
                onOk() {
                    let reqParams: DeleteUserReq = {
                        userID: props.selectedRow.userid,
                    };
                    requestResultLoadingAndInfo(QueryDeleteUserInfoApply, reqParams, loading, ['删除成功', '删除失败:']).then(() => {
                        cancel();
                        context.emit('refresh');
                    });
                },
                onCancel() {},
            });
        }

        return {
            visible,
            cancel,
            submit,
            loading,
        };
    },
});
</script>

<style lang="less">
.recover-custom {
}
</style
>;
